Bug 112446 - FILEOPEN,DOCX Misplaced page number
Summary: FILEOPEN,DOCX Misplaced page number
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:6.0.0 target:5.4.3
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Frames
  Show dependency treegraph
 
Reported: 2017-09-17 16:48 UTC by Oliver Sander
Modified: 2017-09-29 07:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The file that triggers the problem (64.54 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-09-17 16:48 UTC, Oliver Sander
Details
The file as rendered by LO 5.4.1.2 (50.87 KB, application/pdf)
2017-09-17 16:50 UTC, Oliver Sander
Details
The file as rendered by MSOffice (35.86 KB, application/pdf)
2017-09-17 16:50 UTC, Oliver Sander
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Sander 2017-09-17 16:48:12 UTC
Description:
When opening the attached docx document, the page number on the second page appears much farther to the right than it should

Actual Results:  
 

Expected Results:
 


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:54.0) Gecko/20100101 Firefox/54.0
Comment 1 Oliver Sander 2017-09-17 16:48:50 UTC
Created attachment 136300 [details]
The file that triggers the problem
Comment 2 Oliver Sander 2017-09-17 16:50:07 UTC
Created attachment 136301 [details]
The file as rendered by LO 5.4.1.2
Comment 3 Oliver Sander 2017-09-17 16:50:36 UTC
Created attachment 136302 [details]
The file as rendered by MSOffice
Comment 4 Xisco Faulí 2017-09-17 21:00:11 UTC
Regression introduced by:

author	Justin Luth <justin_luth@sil.org>	2016-07-23 04:54:57 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2016-07-25 06:15:21 (GMT)
commit	9920a0bf9d783978cd6f7b97f7528d8aa2571143 (patch)
tree	743264e817e78d1b08921ddf07a75f79737f0b25
parent	594dd232c8ff4808d4ad43cc41a9934a9c6d131d (diff)
tdf#75573 - docx handle frame properties at styles
A frame with only a style defined doesn't create paragraph properties,
so the settings were just being ignored.

If the stylesheet is the top context, then the settings belong to
the style.  If this slightly aggressive approach causes a regression,
then just use the style only if the paragraph properties don't exist.

Bisected with bibisect-linux-64-5.3

Adding Cc: to Justin Luth
Comment 5 Justin L 2017-09-19 19:08:56 UTC
proposed fix at https://gerrit.libreoffice.org/42499
Comment 6 Commit Notification 2017-09-26 19:19:20 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b642999beb5c404cb0ea3df3741506e512c19f55

tdf#112446 ooxmlimport: Orient=NONE when distance is given

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Justin L 2017-09-27 03:42:12 UTC
requested backport to 5.4 only. No current plan to backport for the final 5.3 release.
Comment 8 Commit Notification 2017-09-29 07:31:49 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=faea923e9c2de658dd040ce6f99c3d0207aee988&h=libreoffice-5-4

tdf#112446 ooxmlimport: Orient=NONE when distance is given

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.